Skip to navigation

Log Corpus Item Referral & Redirect

View as Markdown

Records a referral for a corpus item and, when a url is supplied, issues a 302 redirect to it. Without a url, responds with a success message. Requires either the search API entitlement or a signed browser_key cookie.

Authentication

x-api-keystring
API key for authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

modelstringRequired
Listing model. One of collection, contributor, organization, or source.
idstringRequired
The numeric ID of the corpus item

Query parameters

prompt_idstringRequired
user_idstringOptional
urlstringOptional

URL-encoded destination to redirect to after logging the referral.

Response

Referral successfully logged
successboolean
messagestring

Errors

403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error